[gjs/f15] Rerun autotools

Colin Walters walters at fedoraproject.org
Thu Jun 23 14:59:52 UTC 2011


commit 467b9ef8381b51b55e6b07b3679d15e51016eb83
Author: Colin Walters <walters at verbum.org>
Date:   Thu Jun 23 10:38:05 2011 -0400

    Rerun autotools

 autogen.sh |   44 ++++++++++++++++++++++++++++++++++++++++++++
 gjs.spec   |    4 ++++
 2 files changed, 48 insertions(+), 0 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..e4d2bed
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="gjs"
+REQUIRED_AUTOCONF_VERSION=2.53
+REQUIRED_AUTOMAKE_VERSION=1.7.2
+
+(test -f $srcdir/configure.ac \
+  && test -f $srcdir/autogen.sh) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+DIE=0
+
+# This is a bit complicated here since we can't use gnome-config yet.
+# It'll be easier after switching to pkg-config since we can then
+# use pkg-config to find the gnome-autogen.sh script.
+
+gnome_autogen=
+gnome_datadir=
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+  test -z "$dir" && dir=.
+  if test -f $dir/gnome-autogen.sh ; then
+    gnome_autogen="$dir/gnome-autogen.sh"
+    gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+    break
+  fi
+done
+IFS="$ifs_save"
+
+if test -z "$gnome_autogen" ; then
+  echo "You need to install the gnome-common module and make"
+  echo "sure the gnome-autogen.sh script is in your \$PATH."
+  exit 1
+fi
+
+GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen
diff --git a/gjs.spec b/gjs.spec
index 0686635..6f0c4d1 100644
--- a/gjs.spec
+++ b/gjs.spec
@@ -16,6 +16,7 @@ URL:            http://live.gnome.org/Gjs/
 Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
+Source1: autogen.sh
 Patch1: gjs-0.7.14-js185-backport.patch
 
 BuildRequires: js-devel
@@ -48,6 +49,8 @@ Files for development with %{name}.
 %build
 # We're patching configure, rerun autotools
 rm -f configure
+cp -f %{SOURCE1} .
+chmod a+x ./autogen.sh
 (if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi;
  %configure --disable-static)
 
@@ -92,6 +95,7 @@ rm -rf %{buildroot}
 %changelog
 * Thu Jun 23 2011 Colin Walters <walters at verbum.org> - 0.7.14-6
 - Rerun autotools
+- Include autogen.sh since it's missing from gjs tarball
 
 * Wed Jun 22 2011 Colin Walters <walters at verbum.org> - 0.7.14-5
 - Backport patch to compile/run against js 1.8.5


More information about the scm-commits mailing list